Bug 312611 - kdebase: missing dependency on which
kdebase: missing dependency on which
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 16:56 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 12:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-09-29 16:56:30 EDT
startkde uses "which", but the dependency on it is missing in the kdebase package.
Comment 1 Rex Dieter 2007-10-03 12:04:29 EDT
It's there in a round-about way, kdebase includes currently:
Requires: sh-utils

I'll see if we can clean that up, ie, s/sh-utils/coreutils/
Comment 2 Ville Skyttä 2007-10-03 12:22:38 EDT
coreutils does not require "which" either, and "which" doesn't provide sh-utils.
 arts >= 8:1.5.7-7 on the other hand does have a dependency on "which", so if
you wish to rely on other packages pulling "which" in (which is something I
wouldn't personally do as it's directly required by kdebase and could change in
arts), that one should work.
Comment 3 Rex Dieter 2007-10-03 12:27:01 EDT
duh, you're right, of course.
Comment 4 Rex Dieter 2007-10-03 12:37:31 EDT
found xargs usage too.

%changelog
* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.7-17
- Requires: findutils which (#312611)

Note You need to log in before you can comment on or make changes to this bug.